# GstTracer

Tracing modules will subclass GstTracer and register through gst_tracer_register. Modules can attach to various hook-types - see gst_tracing_register_hook. When invoked they receive hook specific contextual data, which they must not modify.

## GstTracer

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstTracer

The opaque GstTracer instance structure

### Members

`parent` (GstObject) –
No description available

### Class structure

#### GstTracerClass

##### Fields

`parent_class` (GstObjectClass) –
No description available

### Gst.TracerClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

### Gst.TracerClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

## Gst.Tracer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Tracer

The opaque GstTracer instance structure

### Members

`parent` (Gst.Object) –
No description available

## Gst.Tracer

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Tracer

The opaque GstTracer instance structure

### Members

`parent` (Gst.Object) –
No description available

### Functions

#### gst_tracer_register

    gboolean
    gst_tracer_register (GstPlugin * plugin,
                         const gchar * name,
                         GType type)

Create a new tracer-factory capable of instantiating objects of the type and add the factory to plugin.

Parameters:

`plugin` ( [allow-none]) –

A GstPlugin, or NULL for a static typefind function

`name` –

The name for registering

`type` –

GType of tracer to register

Returns –

TRUE, if the registering succeeded, FALSE on error

#### Gst.Tracer.prototype.register

    function Gst.Tracer.prototype.register(plugin: Gst.Plugin, name: String, type: GObject.Type): {
        // javascript wrapper for 'gst_tracer_register'
    }

Create a new tracer-factory capable of instantiating objects of the type and add the factory to plugin.

Parameters:

`plugin` (Gst.Plugin) –

A Gst.Plugin, or null for a static typefind function

`name` (String) –

The name for registering

`type` (GObject.Type) –

GType of tracer to register

Returns (Number) –

true, if the registering succeeded, false on error

#### Gst.Tracer.register

    def Gst.Tracer.register (plugin, name, type):
        #python wrapper for 'gst_tracer_register'

Create a new tracer-factory capable of instantiating objects of the type and add the factory to plugin.

Parameters:

`plugin` (Gst.Plugin) –

A Gst.Plugin, or None for a static typefind function

`name` (str) –

The name for registering

`type` (GObject.Type) –

GType of tracer to register

Returns (bool) –

True, if the registering succeeded, False on error

### Properties

#### params

    “params” gchar *

Flags : Read / Write / Construct

#### params

    “params” String

Flags : Read / Write / Construct

#### params

    “self.props.params” str

Flags : Read / Write / Construct

## Function Macros

### GST_TRACER_CAST

    #define GST_TRACER_CAST(obj)       ((GstTracer *)(obj))

The results of the search are